[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Duplicity 0.4.3 vs. 0.4.9 - incompatible update?



Good evening,

I'm the EPEL maintainer of duplicity and I've the following problem: All
branches currently have 0.4.3 which has a) at least one unfixed CVE and b)
the version has several bugs which are fixed in later versions. If you're
looking to Red Hat Bugzilla, there are just a few issues tracked, but there
are many more - unfortunately. And the other thing is, that backporting is
IMHO very time-consuming, because there is active development and rewrites
of the code between the different versions without looking to downstream.

I would like to upgrade duplicity to 0.4.9 to get rid of this issues, but
upstream seems to smoke crack or whatever makes high. In duplicity 0.4.4 an
incompatible change was introduced: The command line syntax changed and is
not backwards compatible:

duplicity >= 0.4.4:

  duplicity [full|incr] [options] source_dir target_url
  duplicity [restore] [options] source_url target_dir
  duplicity verify [options] source_url target_dir
  duplicity collection-status [options] target_url
  duplicity list-current-files [options] target_url
  duplicity cleanup [options] target_url
  duplicity remove-older-than time [options] target_url

duplicity <= 0.4.3:

  duplicity [options] input_directory destination_url
  duplicity [options] source_url target_directory
  duplicity [options] --verify source_url filename
  duplicity [options] --collection-status source_url
  duplicity [options] --list-current-files source_url
  duplicity [options] --cleanup target_url
  duplicity [options] --remove-older-than target_url

Are there suggestions how to get rid of this? Just break everything in EPEL
and push? Is somebody a good python hacker and can provide a compatibility
patch or similar?

Oh and somewhen since > 0.4.4, python 2.4 is required means, that EPEL4 can
not be updated normally, because python 2.3 is there. Luckily it is just a
decorator syntax which I was able to rewrite with less work. Command line
problem still remains: Comments or ideas?


Greetings,
  Robert

Attachment: pgpw43WCZXs2T.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]